Bug 110684 - rhn-applet does not list glibc for update
rhn-applet does not list glibc for update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-23 07:43 EST by shrek-m
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 17:47:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shrek-m 2003-11-23 07:43:02 EST
Description of problem:
rhn-applet does not list glibc for update

# rpm -qa | grep glibc
glibc-kernheaders-2.4-8.36
glibc-headers-2.3.2-101
glibc-2.3.2-101
glibc-common-2.3.2-101
glibc-devel-2.3.2-101


rhn-applet-tui & rhn-applet-gui:
Name                                     Version         Release
----------------------------------------------------------------
glibc-headers                            2.3.2           101.1
glibc-devel                              2.3.2           101.1
glibc-common                             2.3.2           101.1



up2date --list
Name                                    Version        Rel
----------------------------------------------------------
glibc                                   2.3.2          101.1         
     i686                                                            
                   
glibc-common                            2.3.2          101.1         
     i386                                                            
                   
glibc-devel                             2.3.2          101.1         
     i386                                                            
                   
glibc-headers                           2.3.2          101.1         
     i386


yum check-update
Server: Fedora Core 1 - i386 - Released Updates
Finding updated packages
Downloading needed headers
Name                                Arch   Version                  Repo
------------------------------------------------------
glibc                               i686   2.3.2-101.1             
updates-released
glibc-common                        i386   2.3.2-101.1             
updates-released
glibc-devel                         i386   2.3.2-101.1             
updates-released
glibc-headers                       i386   2.3.2-101.1             
updates-released


Version-Release number of selected component (if applicable):
rhn-applet-2.1.4-2

How reproducible:
Didn't try on other athlon-systems

Steps to Reproduce:
1. check for glibc - updates on an athlon machine
    

Actual Results:  glibc i686  is not listed for update
only glibc-common|headers|devel  i386

Expected Results:  glibc-i686 should be listed

Additional info:
msi-board k7n420pro nforce1, athlon xp1800+
not on other sytems (pentium) i had tested.
Comment 1 David Balažic 2004-01-10 15:07:24 EST
Same here. Athlon system.
RHN applet lists glibc-common,-headers,-devel as available for update,
but not glibc.

I have glibc-*-2.3.2-101 , available updates are v2.3.2-101.1.
my glibc is .i686, the glibc-* are i386

Versions : rhn-applet-2.1.4-3
Comment 2 Marcel Telka 2005-01-15 06:02:54 EST
Temporary fix is to remove following lines:

if n == 'kernel' or n == 'kernel-smp' or n == 'kernel-uml' or \
    n == 'kernel-unsupported' or n == 'glibc':
        if score != 1:
            return 0

from /usr/share/rhn/rhn_applet/rhn_applet_apt.py and
/usr/share/rhn/rhn_applet/rhn_applet_yum.py files.
Comment 3 shrek-m 2006-04-18 17:47:20 EDT
closed

Note You need to log in before you can comment on or make changes to this bug.